Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicListUI.ListDataHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicListUI.ListDataHandler

public class BasicListUI.ListDataHandler
extends java.lang.Object
implements ListDataListener

The ListDataListener that's added to the JLists model at installUI time, and whenever the JList.model property changes.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  `JList.getModel()`, `#maybeUpdateLayout`, `BasicListUI.createListDataListener()`, `BasicListUI.installUI(javax.swing.JComponent)`

Constructor Summary
`BasicListUI.ListDataHandler()`

Method Summary
`void` | `contentsChanged(ListDataEvent e)`
`void` | `intervalAdded(ListDataEvent e)`
`void` | `intervalRemoved(ListDataEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicListUI.ListDataHandler

    public BasicListUI.ListDataHandler()

Method Detail

### intervalAdded

    public void intervalAdded(ListDataEvent e)

  Specified by:
    intervalAdded in interface ListDataListener

### intervalRemoved

    public void intervalRemoved(ListDataEvent e)

  Specified by:
    intervalRemoved in interface ListDataListener

### contentsChanged

    public void contentsChanged(ListDataEvent e)

  Specified by:
    contentsChanged in interface ListDataListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.